<template>
  <div>
    <h1>Dashboard</h1>
    <b-overlay :show="show" rounded="sm">
       <generic-data-table :table-fields="fields" :table-items="repos"/>
    </b-overlay>
  </div>
</template>
<script>
import GenericDataTable from "@/components/globals/GenericDataTable";
import {mapActions, mapState} from "vuex";
export default {
  components: {GenericDataTable},
  data() {
    return {
      fields: [
        {label: 'Name', key: 'name'},
        {label: 'Description', key: 'description'},
        {label: 'Stars Count', key: 'stargazers_count'},
        {label: 'Open Issues', key: 'open_issues'},
        {label: 'Open Issues Count', key: 'open_issues_count'},
      ],
      show: true,
    }
  },
  computed: {
    ...mapState('repos',['repos']),
    ...mapState(['userInfo']),
  },
  methods:{
    ...mapActions('repos', ['userRepo']),
  },
  created() {
    this.userRepo(this.userInfo.login)
    .then( () => this.show = false);
  }
}
</script>


